Bug 231767 - net-im/ejabberd: port outdated, update to 18.09
Summary: net-im/ejabberd: port outdated, update to 18.09
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-27 19:50 UTC by post
Modified: 2018-10-11 04:01 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ashish)


Attachments
Update to 18.09 (24.16 KB, patch)
2018-10-10 14:31 UTC, Ashish SHUKLA
no flags Details | Diff
Update to 18.09 (24.16 KB, patch)
2018-10-10 14:35 UTC, Ashish SHUKLA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description post 2018-09-27 19:50:13 UTC
Version 18.09 is out: https://github.com/processone/ejabberd/releases/tag/18.09

Thanks for updating!
Comment 1 Ashish SHUKLA freebsd_committer 2018-09-28 06:17:15 UTC
(In reply to post from comment #0)


Thanks for letting me know. I will be able to work on it October 07th onwards.
Comment 2 post 2018-09-28 13:10:51 UTC
No worries, I'll have some time then as well and will be able to test the patch. There shouldn't be a lot of problems because there are supposed to be no new features.
Comment 3 Ashish SHUKLA freebsd_committer 2018-10-10 14:31:24 UTC
Created attachment 198001 [details]
Update to 18.09

- Update to 18.09
- Remove ZLIB option, zlib dependency is now required by one of the components of ejabberd


Please note that some configuration options are removed in this version, so need to revise the configuration file.
Comment 4 Ashish SHUKLA freebsd_committer 2018-10-10 14:32:43 UTC
(In reply to post from comment #2)

Uploaded a patch in attachment 198001 [details]. Please test and let me know if you notice any issues. I'm also testing it.

Thanks!
Comment 5 Ashish SHUKLA freebsd_committer 2018-10-10 14:35:56 UTC
Created attachment 198002 [details]
Update to 18.09

Revised diff, missed some changes.
Comment 6 post 2018-10-10 15:41:18 UTC
Looking good so far, thank you!
Comment 7 Ashish SHUKLA freebsd_committer 2018-10-10 16:18:32 UTC
(In reply to post from comment #6)

Thanks, I'll look at committing it sometime tomorrow.
Comment 8 commit-hook freebsd_committer 2018-10-11 03:55:13 UTC
A commit references this bug:

Author: ashish
Date: Thu Oct 11 03:54:47 UTC 2018
New revision: 481784
URL: https://svnweb.freebsd.org/changeset/ports/481784

Log:
  - Update to 18.09
  - Remove ZLIB option, as ezlib component is mandatory now

  PR:		231767

Changes:
  head/net-im/ejabberd/Makefile
  head/net-im/ejabberd/distinfo
  head/net-im/ejabberd/pkg-plist
Comment 9 Ashish SHUKLA freebsd_committer 2018-10-11 04:01:26 UTC
Committed, thank you for testing the port.